"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = useSlotsProps;
const vue_1 = require("vue");
const pro_utils_1 = require("@gx-design-vue/pro-utils");
function useSlotsProps(names, slots, props) {
    const node = (0, vue_1.ref)((0, pro_utils_1.getSlotsProps)(names, slots, props));
    (0, vue_1.watch)(names.map(key => () => props[key]), () => {
        node.value = (0, pro_utils_1.getSlotsProps)(names, slots, props);
    }, { deep: 1 });
    (0, vue_1.watch)(() => slots, () => {
        node.value = (0, pro_utils_1.getSlotsProps)(names, slots, props);
    }, { deep: 1 });
    return node;
}
