import type { Ref } from 'vue';
import type { CustomRender, WithFalse } from '@gx-design-vue/pro-utils';
export default function useSlotsProps<T extends string, K = WithFalse<CustomRender>>(names: string[], slots: Readonly<Record<string, any>>, props: Record<string, unknown>): Ref<Record<T, K>>;
